phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Anti-Spam Guide
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
janus_zonstraal
Registered User
Posts: 2610
Joined: Sat Aug 30, 2014 1:30 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by janus_zonstraal » Mon Feb 05, 2018 3:54 pm

We do not know what you changed between 24/1 and now

But just copy the old database and place him behind your test board and do the database update.
Tell us the errors if the are there.

That is only 5minutes work.
Sorry! My English is bat ;) !!!

frnksttrhn
Registered User
Posts: 53
Joined: Sun Jan 14, 2018 2:04 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by frnksttrhn » Thu Feb 15, 2018 1:16 pm

janus_zonstraal
I will follow your last suggestion

But first I installed the forum on another host.
Indeed loading time is much much betterbetter:
see: www.clicks4you/phpBB3

But after log in I did get the following message wich disapears quicly. The same happens when I log in the admin panel

Code: Select all

strict Standards: non_static method utf_normalizer::nfkc() should not be called statically in /chroot/home/site/html/phpBB3/includes/utf/utf_tools.php on line 1663 
phpbb Debug php Notice: in file /includes/session.php on line 1007 Cannot modify header information - headers already sent by (output started at /includes/utf/utf_tools.php:1663)
Warning: Cannot modify header information -headers already snet by (output started at /chroot/home/clicksfo/clicks4you.nl/html/site/includes/utf/utf_tools.php:1663 in chroot/home/clicksfo/clicks4you.nl/html/phpBB3/includes/functions.php on line 4284
It is possible for me to edit php.ini. Which I did:

Code: Select all

[Date]
; Defines the default timezone used by the date functions
; http://php.net/date.timezone
date.timezone = Europe/Amsterdam
I read somehting about
That error is because of PHP 5.4. You need to add & ~E_STRICT to the error_reporting() line (~22) in /includes/startup.php.
and changing startup.php.
OPEN includes/startup.php
FIND

Code: Select all

CODE: SELECT ALL]

error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);
REPLACE WITH
CODE: SELECT ALL

error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED & ~E_STRICT);
But my version does not have a starup.php.

Any suggestions?

Frank

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 49448
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by stevemaury » Thu Feb 15, 2018 3:13 pm

It is includes/startup.php, with a "t". If you still can't find it, upload it to the includes folder from the installation files on your local computer.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. PM or email me.

All unsolicited PMs will be ignored.

frnksttrhn
Registered User
Posts: 53
Joined: Sun Jan 14, 2018 2:04 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by frnksttrhn » Thu Feb 15, 2018 4:12 pm

I don't have a phpbb 3.1.0 dev version on my computer.

Found instead phpbb 3.1.1 with startup.php
Didn't found the line":

Code: Select all

error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);
found the lines:

Code: Select all

if (!defined('E_DEPRECATED'))
{
	define('E_DEPRECATED', 8192);
}
$level = E_ALL & ~E_NOTICE & ~E_DEPRECATED;
error_reporting($level);
which line should I change?
Frank

frnksttrhn
Registered User
Posts: 53
Joined: Sun Jan 14, 2018 2:04 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by frnksttrhn » Thu Feb 15, 2018 4:50 pm

LS
read also:
I know this is outdated, however rather than suppressing the issue

If you want to properly fix this at the root of the problem,

Open up includes/utf/utf_tools.php

Go to ~line 1663

Replace

Code: Select all

utf_normalizer::nfkc($text);
With

Code: Select all

$utf_normalizer = new utf_normalizer();
$utf_normalizer->nfkc($text);
unset($utf_normalizer);
Followed that instruction and most of actions in forum work without error
tested making a new subject
works quick and fine execpt a very short error

Code: Select all

Strict Standards: Non-static method utf_normalizer::nfc() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB3/includes/utf/utf_tools.php on line 1785

Strict Standards: Non-static method utf_normalizer::nfc() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB3/includes/utf/utf_tools.php on line 1785

Strict Standards: Non-static method utf_normalizer::nfc() should not be called statically, assuming $this from incompatible context in /chroot/home/clicksfo/clicks4you.nl/html/phpBB3/includes/search/fulltext_native.php on line 1512
etc.
Meaning I should als.... see my last post?
Frank

User avatar
Noxwizard
Support Team Leader
Support Team Leader
Posts: 10305
Joined: Mon Jun 27, 2005 8:41 pm
Location: Texas, USA
Name: Patrick Webster
Contact:

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by Noxwizard » Fri Feb 16, 2018 6:08 am

That is not the correct fix to make. The correct fix is to make all of those functions static. However, if you are receiving those errors, then it means two things:
  1. Your includes/startup.php is out of date, as others have stated. If it wasn't, those errors would be suppressed.
  2. Your includes/utf/utf_tools.php is out of date as those those functions were marked static in 3.1.0 and would not cause this error.
It looks like you still have files from your old 3.0.x install. Did you follow the steps that Steve posted earlier in this topic? If you did, you shouldn't have any PHP files from the old install any more.
[Support Template] - [Read Before Posting] - [phpBB Knowledge Base]
Do not contact me for private support, please share the question in our forums.

frnksttrhn
Registered User
Posts: 53
Joined: Sun Jan 14, 2018 2:04 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by frnksttrhn » Fri Feb 16, 2018 12:29 pm

Indeed I followed the instructions by Steve posting.php?mode=reply&f=466&t=2457011#pr14927676
So upgrading by Steve's advice didn't work out.
My knowledge about phpbb isn't to little to recognize the exact version. The ACP refers to version phpbb 3.1.0-dev(dutch language).
I don't have an install version of phpbb 3.1.0-dev.

Because I did get the advice to try another host.
and
Because I don't have the install version of phpbb 3.1.0-dev, I copied the 'not upgraded forum' and db to the new host www.clicks4you.nl.

The database server of arnhemseluitjes.net is:
MySQL 5.6.27
The database server at my new host www.clicks4you.nl is:
MySQL(i) 5.5.54
I Needed to change ENGINE=InnoDB & to ENGINE=MyISAM

Because there were error messages Steve suggested to use includes/startup.php from my local computer.
As mentioned I don't have a phpbb 3.1.0 dev install version on my computer.

Found instead phpbb 3.1.0 with startup.php
Didn't found the line":

Code: Select all

error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);
found the lines:

Code: Select all

CODE: SELECT ALL

if (!defined('E_DEPRECATED'))
{
	define('E_DEPRECATED', 8192);
}
$level = E_ALL & ~E_NOTICE & ~E_DEPRECATED;
error_reporting($level);
And asked which line should I change?
Noxwizard mentioned:
Your includes/startup.php is out of date, as others have stated. If it wasn't, those errors would be suppressed.
Your includes/utf/utf_tools.php is out of date as those those functions were marked static in 3.1.0 and would not cause this error.
What can I do about that?
Frank

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 49448
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by stevemaury » Fri Feb 16, 2018 2:33 pm

You want those files from the 3.1.0 fileset, not 3.1.0 dev . Just download the 3.1.0 files again and upload them all EXCEPT config.php and the /store, /files and /images folders.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. PM or email me.

All unsolicited PMs will be ignored.

frnksttrhn
Registered User
Posts: 53
Joined: Sun Jan 14, 2018 2:04 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by frnksttrhn » Fri Feb 16, 2018 4:45 pm

Loaded phpbb 3.1.0 to my site except files, images store and config.php
Did run http://clicks4you.nl/phpBB1/install/database_update.php
The first 4 pages Everything seems to be alright till this error:

Code: Select all

SQL ERROR [ mysqli ]

Unknown column 'field_show_on_pm' in 'field list' [1054]

SQL

INSERT INTO phpbb_profile_fields (field_name, field_type, field_ident, field_length, field_minlen, field_maxlen, field_novalue, field_default_value, field_validation, field_required, field_show_novalue, field_show_on_reg, field_show_on_pm, field_show_on_vt, field_show_profile, field_hide, field_no_view, field_active, field_order) VALUES ('phpbb_interests', 'profilefields.type.text', 'phpbb_interests', '3|30', '2', '500', '', '', '.*', 0, 0, 0, 0, 0, 1, 0, 0, 1, 1)

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/phpbb/db/driver/driver.php
LINE: 855
CALL: trigger_error()

FILE: [ROOT]/phpbb/db/driver/mysqli.php
LINE: 194
CALL: phpbb\db\driver\driver->sql_error()

FILE: [ROOT]/phpbb/db/driver/factory.php
LINE: 329
CALL: phpbb\db\driver\mysqli->sql_query()

FILE: [ROOT]/phpbb/db/migration/profilefield_base_migration.php
LINE: 98
CALL: phpbb\db\driver\factory->sql_query()

FILE: (not given by php)
LINE: (not given by php)
CALL: phpbb\db\migration\profilefield_base_migration->create_custom_field()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 510
CALL: call_user_func_array()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 456
CALL: phpbb\db\migrator->run_step()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 294
CALL: phpbb\db\migrator->process_data_step()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 174
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/install/database_update.php
LINE: 206
CALL: phpbb\db\migrator->update()

Is there a solution?
phpbb 3.1.0 is an english version my site is in Dutch language?
Can I transfer the Dutch language packet later?
Frank
Last edited by frnksttrhn on Fri Feb 16, 2018 7:58 pm, edited 2 times in total.

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 49448
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by stevemaury » Fri Feb 16, 2018 7:35 pm

You are only going to upload a couple of php files. They are the same for every language.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. PM or email me.

All unsolicited PMs will be ignored.

frnksttrhn
Registered User
Posts: 53
Joined: Sun Jan 14, 2018 2:04 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by frnksttrhn » Fri Feb 16, 2018 8:01 pm

Hello Steve,
seealso the question in my last post.

Is it possible ,the reason for the error during upgrading of the db is a problem with innodb and myisam?
The db of the host of the source forum uses innodb
The host at www.clicks4you uses myisam
I loaded the db in notepad and did a change from innodb to myisam with "replace" .
when I did a control in myadmin there were still a few tables with innodb
What is a reliable method to change innodb to myisam?

Frank
Last edited by frnksttrhn on Fri Feb 16, 2018 9:54 pm, edited 1 time in total.

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 49448
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by stevemaury » Fri Feb 16, 2018 9:34 pm

Does that field exist in the profile_fields table of your backup? Does it exist in the profile_fields table of the database? I believe it was not in 3.0 but was added in 3.1. Let's see what you have.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. PM or email me.

All unsolicited PMs will be ignored.

User avatar
3Di
Registered User
Posts: 12893
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by 3Di » Fri Feb 16, 2018 9:48 pm

Has been added in 3.1.0-dev
Want to compensate me for my interest? Donate
Please PM me only to request paid works. Thx.
Extensions, Scripts, MOD porting, Update/Upgrades
My development's activity º PhpStorm's proud user

frnksttrhn
Registered User
Posts: 53
Joined: Sun Jan 14, 2018 2:04 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by frnksttrhn » Fri Feb 16, 2018 9:59 pm

Steve and 3di

can you explain your suggestion/question?
Frank

frnksttrhn
Registered User
Posts: 53
Joined: Sun Jan 14, 2018 2:04 pm

Re: phpBB 3.1.0-dev upgrading to phpBB 3.2.2

Post by frnksttrhn » Sun Feb 18, 2018 11:02 pm

Did get 2 testforums phpBB 3.1.0-dev working at another host
The loading speed etc is ok.
You can see the forums at:

http://www.clicks4you.nlphpBB1
and
http://www.clicks4you.nlphpBB3

1:first there were error messages when loading
It was possible to log in as a user and administrator
2: Posting was possible but did result with error messages.
3: The captcha didn'show up for new users

1: the error messages when loading disapeared after:
Open up includes/utf/utf_tools.php
Go to ~line 1663
Replace

Code: Select all

utf_normalizer::nfkc($text);
With

Code: Select all

$utf_normalizer = new utf_normalizer();
$utf_normalizer->nfkc($text);
unset($utf_normalizer);
Re: php 5.3 and date.timezone ERROR
Post by stevemaury » Sun Sep 27, 2009 8:33 pm

OPEN common.php

FIND:

Code: Select all

CODE: SELECT ALL

// Report all errors, except notices
BEFORE, ADD:
CODE: SELECT ALL

// Set time zone
date_default_timezone_set('UTC');
2:The error messages with posting could be resolved with:
viewtopic.php?f=46&t=1660505&start=15#p13972781

The captcha sign showed up after using:
http://www.ozzu.com/programming-forum/i ... 07528.html

Most problems seemed solved:
Still there is a problem in ACP: When calling the settings of captcha the following error:

Code: Select all

trict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_captcha_nogd::is_available() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 83

Strict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_captcha_nogd::get_name() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 85

Strict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_captcha_gd_wave::is_available() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 83

Strict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_captcha_gd_wave::get_name() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 85

Strict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_recaptcha::is_available() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 83

Strict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_recaptcha::get_name() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 85

Strict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_captcha_qa::is_available() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 83

Strict Standards: Non-static method phpbb_captcha_qa::is_installed() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/plugins/phpbb_captcha_qa_plugin.php on line 135

Strict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_captcha_qa::get_name() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 89

Strict Standards: call_user_func() expects parameter 1 to be a valid callback, non-static method phpbb_captcha_gd::get_name() should not be called statically in /chroot/home/clicksfo/clicks4you.nl/html/phpBB1/includes/captcha/captcha_factory.php on line 85
[phpBB Debug] PHP Notice: in file /adm/index.php on line 150: Cannot modify header information - headers already sent by (output started at /includes/captcha/captcha_factory.php:83)
[phpBB Debug] PHP Notice: in file /adm/index.php on line 152: Cannot modify header information - headers already sent by (output started at /includes/captcha/captcha_factory.php:83)
[phpBB Debug] PHP Notice: in file /adm/index.php on line 153: Cannot modify header information - headers already sent by (output started at /includes/captcha/captcha_factory.php:83)
[phpBB Debug] PHP Notice: in file /adm/index.php on line 154: Cannot modify header information - headers already sent by (output started at /includes/captcha/captcha_factory.php:83)

Locked

Return to “[3.1.x] Support Forum”

Who is online

Users browsing this forum: No registered users and 17 guests